#!/bin/python
from threading import Thread
from parse import *
import datetime
import serial
import time
import os
# import re

ser = serial.Serial(port='/dev/ttyACM0')
regex = "b'T={Temp}L={Lum}\\r\\n'"


class reader(Thread):  
    def __init__(self):  
        Thread.__init__(self)  
        self.daemon = True  
        self.on = True
        self.start()  
    def run(self):  
        month = datetime.datetime.now().strftime("%b")

        while(self.on):  
            file = open("/var/www/html/Projet/out1.txt","a") 
            s = str(ser.readline())
            # print(s)
            p = parse(regex, s)

            file.write(datetime.datetime.now().strftime("%c") + " " + str(p['Temp']) + " "+ str(p['Lum']) + "\n")

            if(month != datetime.datetime.now().strftime("%b")):
                month = datetime.datetime.now().strftime("%b")
                os.system("rm out2.txt; mv out1.txt out2.txt")  

            file.close() 
            time.sleep(1)


    def stop(self):  
        self.on = False

c = reader()
while(True):
	time.sleep(1000)
# c.stop()
